import java.io.*;
import java.util.*;

public class dinner_bm {
	public static void main(String[] args) throws IOException {
		in = new BufferedReader(new FileReader("dinner.in"));
		out = new PrintWriter("dinner.out");
		int cost = nextInt();
		int n = nextInt();
		int[] a = new int[n];
		for (int i = 0; i < n; i++)
			a[i] = nextInt();
		Arrays.sort(a);
		for (int i = 1; i < n; i++)
			cost -= a[i];
		out.println(cost <= 0 ? "YES" : "NO");
		out.close();
	}
	
	static BufferedReader in;
	static StringTokenizer str;
	static PrintWriter out;

	static String next() throws IOException {
		String help;
		while ((str == null) || (!str.hasMoreTokens())) {
			help = in.readLine();
			if (help == null) {
				return null;
			}
			str = new StringTokenizer(help);
		}
		return str.nextToken();
	}

	static int nextInt() throws IOException {
		return Integer.parseInt(next());
	}
}